umbrello: JSWriter Class Reference

umbrello 2.31.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Member Functions | List of all members
JSWriter Class Reference

`#include <jswriter.h>`

Inheritance diagram for JSWriter:

## Public Member Functions
| JSWriter ()
virtual | ~JSWriter ()
virtual void | writeClass (UMLClassifier *c)
virtual Uml::ProgrammingLanguage::Enum | language () const
virtual QStringList | reservedKeywords () const
Public Member Functions inherited from SimpleCodeGenerator
| SimpleCodeGenerator (bool createDirHierarchyForPackages=true)
virtual | ~SimpleCodeGenerator ()
void | writeCodeToFile (UMLClassifierList &concepts)
void | writeCodeToFile ()
Public Member Functions inherited from CodeGenerator
| CodeGenerator ()
virtual | ~CodeGenerator ()
bool | addCodeDocument (CodeDocument *add_object)
bool | removeCodeDocument (CodeDocument *remove_object)
CodeDocumentList * | getCodeDocumentList ()
QString | getUniqueID (CodeDocument *codeDoc)
virtual void | saveToXMI1 (QDomDocument &doc, QDomElement &root)
CodeDocument * | findCodeDocumentByID (const QString &id)
void | setIncludeHeadings (bool i)
bool | includeHeadings () const
void | setHeadingFileDir (const QString &)
QString | headingFileDir () const
void | setForceDoc (bool f)
bool | forceDoc () const
void | setForceSections (bool f)
bool | forceSections () const
virtual QString | getHeadingFile (const QString &file)
QString | findFileName (CodeDocument *codeDocument)
virtual void | loadFromXMI1 (QDomElement &element)
CodeDocument * | findCodeDocumentByClassifier (UMLClassifier *classifier)
virtual QStringList | defaultDatatypes ()
virtual bool | isReservedKeyword (const QString &keyword)
virtual void | createDefaultStereotypes ()

## Private Member Functions
void | writeOperations (QString classname, UMLOperationList *opList, QTextStream &js)
void | writeAssociation (QString &classname, UMLAssociationList &assoclist, QTextStream &js)

## Additional Inherited Members
Public Slots inherited from SimpleCodeGenerator
virtual void | syncCodeToDocument ()
Public Slots inherited from CodeGenerator
virtual void | syncCodeToDocument ()
Signals inherited from CodeGenerator
void | codeGenerated (UMLClassifier *concept, bool generated)
void | showGeneratedFile (const QString &filename)
Static Public Member Functions inherited from CodeGenerator
static QString | cleanName (const QString &name)
static QString | formatDoc (const QString &text, const QString &linePrefix=QLatin1String(" *"), int lineWidth=80)
static QString | formatSourceCode (const QString &code, const QString &indentation)
static void | findObjectsRelated (UMLClassifier *c, UMLPackageList &cList)
Protected Member Functions inherited from SimpleCodeGenerator
QString | findFileName (UMLPackage *concept, const QString &ext)
QString | overwritableName (UMLPackage *concept, const QString &name, const QString &ext)
bool | hasDefaultValueAttr (UMLClassifier *c)
bool | hasAbstractOps (UMLClassifier *c)
QString | indent ()
virtual void | initFromParentDocument ()
Protected Member Functions inherited from CodeGenerator
QString | overwritableName (const QString &name, const QString &extension)
bool | openFile (QFile &file, const QString &name)
void | writeListedCodeDocsToFile (CodeDocumentList *docs)
virtual void | finalizeRun ()
Protected Attributes inherited from SimpleCodeGenerator
QString | className_
QString | fileName_
QMap< UMLPackage *, QString > | m_fileMap
bool | m_createDirHierarchyForPackages
QString | m_indentation
int | m_indentLevel
QString | m_endl
Protected Attributes inherited from CodeGenerator
QHash< QString, CodeDocument * > | m_codeDocumentDictionary
bool | m_applyToAllRemaining
UMLDoc * | m_document

## Detailed Description

Class JSWriter is a JavaScript code generator for UMLClassifier objects. Just call writeClass and feed it a UMLClassifier.

## Constructor & Destructor Documentation

## ◆ JSWriter()

JSWriter::JSWriter | ( |  | ) |

## ◆ ~JSWriter()

JSWriter::~JSWriter | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ language()

Uml::ProgrammingLanguage::Enum JSWriter::language | ( |  | ) | const
| virtual

Returns "JavaScript".

Returns
  the programming language identifier

Implements CodeGenerator.

## ◆ reservedKeywords()

QStringList JSWriter::reservedKeywords | ( |  | ) | const
| virtual

Get list of reserved keywords.

Returns
  the list of reserved keywords

Reimplemented from CodeGenerator.

## ◆ writeAssociation()

void JSWriter::writeAssociation | ( | QString & | classname,
|  | UMLAssociationList & | assocList,
|  | QTextStream & | js
| ) |  |
| private

Write a list of associations.

Parameters

  classname | the name of the class
  assocList | the list of associations
  js | output stream for the JS file

## ◆ writeClass()

void JSWriter::writeClass | ( | UMLClassifier * | c | ) |
| virtual

Call this method to generate Actionscript code for a UMLClassifier.

Parameters

  c | the class you want to generate code for

Implements SimpleCodeGenerator.

## ◆ writeOperations()

void JSWriter::writeOperations | ( | QString | classname,
|  | UMLOperationList * | opList,
|  | QTextStream & | js
| ) |  |
| private

Write a list of class operations.

Parameters

  classname | the name of the class
  opList | the list of operations
  js | output stream for the JS file

The documentation for this class was generated from the following files:

- umbrello/codegenerators/js/jswriter.h
- umbrello/codegenerators/js/jswriter.cpp